# Copyright (C) 2024, UChicago Argonne, LLC
# Licensed under the 3-clause BSD license.  See accompanying LICENSE.txt file
# in the top-level directory.

import datetime
from typing import Optional
import networkx as nx


class BitTree:
    name: Optional[str]
    obj_types: list  # usable object types for a given LTM.  Order may matter for sorting.
    graph: nx.DiGraph
    bit_total: int
    range_start: datetime.datetime
    range_end: datetime.datetime

    def __init__(self, name):
        self.name = name
